'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-catalog-node/alpha');
var pluginCatalogNode = require('@backstage/plugin-catalog-node');
var pluginEventsNode = require('@backstage/plugin-events-node');
var BitbucketCloudEntityProvider = require('../providers/BitbucketCloudEntityProvider.cjs.js');

const catalogModuleBitbucketCloudEntityProvider = backendPluginApi.createBackendModule({
  pluginId: "catalog",
  moduleId: "bitbucket-cloud-entity-provider",
  register(env) {
    env.registerInit({
      deps: {
        auth: backendPluginApi.coreServices.auth,
        catalogProcessing: alpha.catalogProcessingExtensionPoint,
        catalog: pluginCatalogNode.catalogServiceRef,
        config: backendPluginApi.coreServices.rootConfig,
        events: pluginEventsNode.eventsServiceRef,
        logger: backendPluginApi.coreServices.logger,
        scheduler: backendPluginApi.coreServices.scheduler
      },
      async init({
        auth,
        catalogProcessing,
        catalog,
        config,
        events,
        logger,
        scheduler
      }) {
        const providers = BitbucketCloudEntityProvider.BitbucketCloudEntityProvider.fromConfig(config, {
          auth,
          catalog,
          events,
          logger,
          scheduler
        });
        catalogProcessing.addEntityProvider(providers);
      }
    });
  }
});

exports.catalogModuleBitbucketCloudEntityProvider = catalogModuleBitbucketCloudEntityProvider;
//# sourceMappingURL=catalogModuleBitbucketCloudEntityProvider.cjs.js.map
